class ColourCircle {
  int centreX;
  int centreY;
  int rad;
  int spotSize;
  boolean show;
  float clock;
  
  ColourCircle (int CX, int CY, int R, int SS, float Cstart){
   centreX = CX;
   centreY = CY;
   rad = R;
   spotSize = SS;
   show = true; 
   clock = Cstart;
  }
  
  void update(float tick, boolean showchange){
    clock += tick;
    if(showchange == true){
    show ^= true;}
  }
  
  void display(){
    if(show == true){
      noStroke();
      //changes the fill colour depending on the point of rotation
      fill(125 + 125*sin(clock), 0, 125 - 125*cos(clock));
      ellipse(centreX + rad*sin(clock), centreY - rad*cos(clock), spotSize, spotSize);
    }
  }
}